<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="t" uri="/WEB-INF/tab.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
	final String rnaQcName = HTML.encodeTags(request.getParameter("rnaqc"));
	final int wellId = Values.getInt(request.getParameter("well"));
	final String title = "Register extra aliquot from " + rnaQcName;
%>
<base:page type="popup" title="<%=title %>">
<base:head 
	scripts="~rnaqc_extra_aliquot.js,~../reggie-2.js"
/>
<base:body>
	<h1><%=title %></h1>

	<div id="page-data"
		data-well-id="<%=wellId%>"
	></div>

	<form name="details">

	<div class="content bottomborder">
		<table class="fullform input100">
		<tr>
			<th>RNA QC</th>
			<td>
				<%=rnaQcName%>
			</td>
		</tr>
		<tr>
			<th>Volume</th>
			<td>
				<input type="text" name="volume" id="volume"
					style="width: 5em;"	maxlength="3"> µl
			</td>
		</tr>
		<tr class="dynamic">
			<th class="prompt">Comment</th>
			<td>
				<textarea name="comment" id="comment"></textarea>
			</td>
		</tr>
		</table>
	</div>
	</form>
	
	<base:buttongroup subclass="dialogbuttons" id="dialogbuttons">
		<base:button id="btnSave" title="Ok" />
		<base:button id="close" title="Cancel" />
	</base:buttongroup>
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>